Bug 962744 - Review Request: perl-Number-WithError - Numbers with error propagation and scientific rounding
Review Request: perl-Number-WithError - Numbers with error propagation and sc...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 962729
Blocks: 962806
  Show dependency treegraph
 
Reported: 2013-05-14 07:22 EDT by Petr Pisar
Modified: 2013-05-21 02:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Number-WithError-1.01-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 02:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-05-14 07:22:25 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-Number-WithError/perl-Number-WithError.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Number-WithError/perl-Number-WithError-1.01-1.fc20.src.rpm
Description:
This class is a container class for numbers with a number of associated
symmetric and asymmetric errors. It overloads practically all common
arithmetic operations and trigonometric functions to propagate the errors.
It can do proper scientific rounding.

You can use Math::BigFloat objects as the internal representation of numbers
in order to support arbitrary precision calculations.

Errors are propagated using Gaussian error propagation.


Fedora Account System Username: ppisar
Comment 1 Petr Šabata 2013-05-20 09:36:17 EDT
I haven't found any issues with in this package.
Approving.
Comment 2 Petr Pisar 2013-05-20 11:33:47 EDT
New Package SCM Request
=======================
Package Name: perl-Number-WithError
Short Description: Numbers with error propagation and scientific rounding
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2013-05-20 12:04:35 EDT
Git done (by process-git-requests).
Comment 4 Petr Pisar 2013-05-21 02:45:45 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.